> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soharhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Verifications V1

> This API is still available but no longer supported and is planned for deprecation in a future release; users should transition to the [Create Verifications](/api-reference/verifications/create-verification-v2) API.



## OpenAPI

````yaml post /v1/verifications/batch
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sohar API
  license:
    name: MIT
servers:
  - url: https://api.soharhealth.com
security: []
paths:
  /v1/verifications/batch:
    post:
      tags:
        - Legacy-Verifications
      summary: Create Verifications V1
      description: >-
        This API is still available but no longer supported and is planned for
        deprecation in a future release; users should transition to the [Create
        Verifications](/api-reference/verifications/create-verification-v2) API.
      operationId: createVerifications
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerificationsRequest'
      responses:
        '207':
          description: An array of results
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerificationsResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
                  param:
                    type: string
                    example: verifications
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '500':
          description: Internal error
      security:
        - BasicAuth: []
components:
  schemas:
    VerificationsRequest:
      required:
        - verifications
      type: object
      properties:
        verifications:
          type: array
          items:
            $ref: '#/components/schemas/BatchVerificationRequest'
    VerificationsResponse:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/VerificationBatchResponse'
    BatchVerificationRequest:
      required:
        - firstName
        - lastName
        - dateOfBirth
        - state
        - memberId
        - payerId
        - npi
      type: object
      properties:
        firstName:
          type: string
          description: The patient's first name
          example: John
        lastName:
          type: string
          description: The patient's last name
          example: Doe
        dateOfBirth:
          type: string
          description: The patient's birth date in MM/DD/YYYY format
          pattern: ^(0[1-9]|1[0-2])\/(0[1-9]|[12][0-9]|3[01])\/(19|20)\d\d$
          example: 09/20/2023
        state:
          type: string
          description: Two-letter US state code
          enum:
            - AK
            - AL
            - AR
            - AZ
            - CA
            - CO
            - CT
            - DC
            - DE
            - FL
            - GA
            - HI
            - IA
            - ID
            - IL
            - IN
            - KS
            - KY
            - LA
            - MA
            - MD
            - ME
            - MI
            - MN
            - MO
            - MS
            - MT
            - NC
            - ND
            - NE
            - NH
            - NJ
            - NM
            - NV
            - NY
            - OH
            - OK
            - OR
            - PA
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VA
            - VT
            - WA
            - WI
            - WV
            - WY
          example: CA
        memberId:
          type: string
          description: The insurance member ID
          example: '00000000'
        payerId:
          type: string
          description: >-
            The payer ID. See the Sohar [payer
            list](https://docs.soharhealth.com/api-reference/payers/get-payers)
          format: uuid
          example: '62308'
        npi:
          type: string
          description: >-
            An NPI to identify the provider requesting benefits, typically a
            type 2 NPI
          example: '0123456789'
        taxonomyCode:
          type: string
          description: >-
            An optional taxonomy code to override the primary taxonomy code
            associated with the provider's NPI number
          example: 2084P0800X
        placeOfService:
          type: string
          description: >-
            An optional [two-digit
            code](https://www.cms.gov/medicare/coding-billing/place-of-service-codes/code-sets)
            that describes the setting in which a service was provided
          example: '02'
        id:
          type: string
          description: An optional identifier for the verification
          example: '123456'
          maxLength: 45
        subscriber:
          type: object
          description: >-
            An optional object to describe the subscriber related to the
            insurance member ID. Used when the patient is a dependent - the
            subscriber is typically a parent or spouse
          properties:
            firstName:
              type: string
              description: The subscriber's first name
            lastName:
              type: string
              description: The subscriber's last name
            dateOfBirth:
              type: string
              description: The subscriber's birth date in MM/DD/YYYY format
              pattern: ^(0[1-9]|1[0-2])\/(0[1-9]|[12][0-9]|3[01])\/(19|20)\d\d$
              example: 09/20/2023
    VerificationBatchResponse:
      type: object
      properties:
        status:
          type: number
          description: An HTTP status code for the request
          example: 201
        patientId:
          type: string
          description: A Sohar ID for the patient if the request was successful
          format: uuid
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
        verificationId:
          type: string
          description: A Sohar ID for the verification if the request was successful
          format: uuid
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
        error:
          type: string
          description: An error message if the request was unsuccessful
          example: invalid_request_error
        param:
          type: string
          description: >-
            The parameter that was invalid in the request, if the request was
            unsuccessful
          example: memberId
        id:
          type: string
          nullable: true
          description: >-
            An optional identifier for the verification. This is a user-defined
            value that can be used when creating the verification
          example: '123456'
  securitySchemes:
    BasicAuth:
      type: http
      scheme: bearer

````